<?php
add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		$of_options_featured_img 	= array("left" => "Left","right" => "Right","center" => "Center");
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 
		$logo_img = '<img src="'.get_template_directory_uri().'/images/logo.png" border="0">';
		
	//	$social_guide = array( 'name' => 'facebook', 'des' => 'fdsfdfdsffsfdfs');
/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();


$of_options[] = array( 	"name" 		=> "General Settings",
						"type" 		=> "heading",
				);
				
$of_options[] = array( 	"name" 		=> "Upload Logo",
						"desc" 		=> "Your uploaded logo will be shown here.",
						"id" 		=> "tp_site_logo",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> '',
						"mod"		=> "min",
						"type" 		=> "media"
				);
				
$of_options[] = array( 	"name" 		=> "No Logo? Use Site Name",
						"desc" 		=> "Check if you dont want to show the logo.</br> 
						<div class=\"explain-text\">If you dont have a logo to upload, then your your blog title and description will be shown. To edit your blog title and description go to <a href=\"" . admin_url('options-general.php') . "\">General Settings</a></div>",
						"id" 		=> "tp_logo_as_sitename",
						"std" 		=> 0,
						"type" 		=> "checkbox"
						
				);							
					
$of_options[] = array( 	"name" 		=> "Body Font and Link Color",
						"desc" 		=> "Specify the body font properties",
						"id" 		=> "tp_body_font",
						"std" 		=> array('size' => '12px','face' => '"Helvetica Neue",Helvetica,Arial,sans-serif','color' => '#333333'),
						"type" 		=> "typography"
				);

$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Specify link color here.",
						"id" 		=> "tp_link_color",
						"std" 		=> array('color' => '#008080'),
						"type" 		=> "typography"
				);
								
$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Specify hover color here.",
						"id" 		=> "tp_hover_color",
						"std" 		=> array('color' => '#36B5B5'),
						"type" 		=> "typography"
				);

$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Specify visited link color here.",
						"id" 		=> "tp_visited_link_color",
						"std" 		=> array('color' => '#1a1a1a'),
						"type" 		=> "typography"
				);
/*								
$of_options[] = array( 	"name" 		=> "Favicon Icon",
						"desc" 		=> "Your uploaded favicon icon will be shown here.<br /><div class=\"explain-text\">If you don't upload a favicon, wordpress default favicon will be shown.</div>",
						"id" 		=> "tp_site_favicon",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> "",
						"mod"		=> "min",
						"type" 		=> "media"
				);								
	*/							
$of_options[] = array( 	"name" 		=> "Layout",
						"type" 		=> "heading",
						);
				
$url =  ADMIN_DIR . 'assets/images/';

$of_options[] = array( 	"name" 		=> "Featured Image Options: Size and Position",
						"type" 		=> "tav",
						"desc" 		=> "<div class=\"explain-text\">Options for the featured images in the loop (homepage, category pages, tag pages, search results and archive pages).</div>",
						"id" 		=> "tp_featured_image",
						
				);
								
$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Set the Height(px) of image in the homepage.",
						"id" 		=> "tp_featured_loop_height",
						"std" 		=> "500",
						"min" 		=> "1",
						"step"		=> "3",
						"max" 		=> "750",
						"type" 		=> "sliderui" 
				);	
				
$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Set the Width(px) of image in the homepage.",
						"id" 		=> "tp_featured_loop_width",
						"std" 		=> "300",
						"min" 		=> "1",
						"step"		=> "3",
						"max" 		=> "750",
						"type" 		=> "sliderui" 
				);	

$of_options[] = array( 	"name" 		=> "",
						//"desc" 		=> "Radio select with default of 'one'.",
						"desc" 		=> "Set the Image Position in the homepage.",
						"id" 		=> "tp_featured_loop_position",
						"std" 		=> "left",
						"type" 		=> "radio",
						"options" 	=> $of_options_featured_img
				);
$of_options[] = array( 	"name" 		=> 'Read More: Text Display and Words Limit' ,
					//	"desc" 		=> "Add your Feedburner URL, or any other RSS link. Leave it blank if you dont like the RSS icon to be displayed.",
						"desc" 		=> "Read more text will be showen by default. <br />
						<div class=\"explain-text\">Theme display post excerpts on the front or home page, you visitors will click on the title or a Read More link to continue reading your post or article</div>",
						"id" 		=> "tp_read_more",
						"std" 		=> "Read More",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> '',
						"desc" 		=> "Set how many words you want display in post excerpts.",
						"id" 		=> "tp_read_more_text_limit",
						"std" 		=> "500",
						"min" 		=> "1",
						"step"		=> "3",
						"max" 		=> "2000",
						"type" 		=> "sliderui" 
				);	

$of_options[] = array( 	"name" 		=> "Footer Widgets",
						"desc" 		=> "Check if you want to display the 3 widget areas in the footer.",
						"id" 		=> "tp_footer_widgets",
						"std" 		=> 1,
						"type" 		=> "checkbox"
				);


$of_options[] = array( 	"name" 		=> "Slider",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Slider",
						"desc" 		=> "Check if you want to show the slider.",
						"id" 		=> "tp_primary_slider",
						"std" 		=> 0,
						"type" 		=> "checkbox"
						
				);	
								
$of_options[] = array( 	"name" 		=> "Add a Slider",
						"desc" 		=> "Unlimited slider with drag and drop sortings. <div class=\"explain-text\">Theme comes with default sliders to show how theme looks like. By adding your own sliders default sliders will be removed automatically.</div>",
						"id" 		=> "tp_slider",
						"std" 		=> "",
						"type" 		=> "slider"
				);
								
//Advanced Settings
$of_options[] = array( 	"name" 		=> "Menus",
						"type" 		=> "heading",
						);
				
$of_options[] = array( 	"name" 		=> "Primary Menu",
						"desc" 		=> "Check if you want to show the menu. <div class=\"explain-text\">Please, use the <a href=\"\">menus panel</a> to manage and organize menu items for the primary menu. The primary menu will display the pages list if no menu is selected from the menus panel.</div>",
						"id" 		=> "tp_primary_menu",
						"std" 		=> 0,
						"type" 		=> "checkbox"
						
				);	
		
				
// Backup Options
$of_options[] = array( 	"name" 		=> "Integration",
						"type" 		=> "heading",
						);
				
$of_options[] = array( 	"name" 		=> "Custom CSS",
						"desc" 		=> "Any code you add here will appear in the head section of every page of your site. Add only the css code without style blocks, they are auto inserted.",
						"id" 		=> "tp_custom_css",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Head Code",
						"desc" 		=> "Any code you add here will appear in the head section, just before of every page of your site.",
						"id" 		=> "tp_head_code",
						"std" 		=> "",
						"type" 		=> "textarea"
				);

$of_options[] = array( 	"name" 		=> "Footer Code",
						"desc" 		=> "Any code you add here will appear just before tag of every page of your site.",
						"id" 		=> "tp_footer_code",
						"std" 		=> "",
						"type" 		=> "textarea"

				);

// Social Options
$of_options[] = array( 	"name" 		=> "Social Options",
						"type" 		=> "heading",
						);


$of_options[] = array( 	"name" 		=> "Facebook",
						"desc" 		=> "Add your Facebook URL profile, to link the facebook icon to your profile. Leave it blank if you dont like the Facebook icon to be displayed.",
						"id" 		=> "tp_social_facebook",
						"std" 		=> "",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Twitter",
						"desc" 		=> " 	
Add your Twitter URL profile, to link the Twitter icon to your profile. Leave it blank if you dont like the Twitter icon to be displayed.",
						"id" 		=> "tp_social_twitter",
						"std" 		=> "",
						"type" 		=> "text"
				);			

$of_options[] = array( 	"name" 		=> "Google Plus",
						"desc" 		=> "Add your Google Plus URL profile, to link the Google Plus icon to your profile. Leave it blank if you dont like the Google Plus icon to be displayed.",
						"id" 		=> "tp_social_googleplus",
						"std" 		=> "",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "LinkedIn",
						"desc" 		=> "Add your LinkedIn URL profile, to link the LinkedIn icon to your profile. Leave it blank if you dont like the LinkedIn icon to be displayed.",
						"id" 		=> "tp_social_linkedin",
						"std" 		=> "",
						"type" 		=> "text"
				);	
	

$of_options[] = array( 	"name" 		=> "YouTube",
						"desc" 		=> "Add your YouTube URL profile, to link the YouTube icon to your profile. Leave it blank if you dont like the YouTube icon to be displayed.",
						"id" 		=> "tp_social_youtube",
						"std" 		=> "",
						"type" 		=> "text"
				);

				
$of_options[] = array( 	"name" 		=> "RSS",
						"desc" 		=> "Add your Feedburner URL, or any other RSS link. Leave it blank if you dont like the RSS icon to be displayed.",
						"id" 		=> "tp_social_rss",
						"std" 		=> "",
						"type" 		=> "text"
				);			
													
// Backup Options
/*
$of_options[] = array( 	"name" 		=> "Ads Placement",
						"type" 		=> "heading",
						);
															
$of_options[] = array( 	"name" 		=> "Banner Code",
						"desc" 		=> "Put header banner code here, it can be a script (Google Adsense, etc.) or a HTML code. <div class=\"explain-text\">This ad is for a specific place on you site, for some themes located on top header, for others below the slidershow. You can add more ads through <a href=\"\">widgets</a> by adding a \"Text\" widget on sidebar (or footer) and paste your ad code there.</div>",
						"id" 		=> "tp_banner_code",
						"std" 		=> '<a href="http://themepix.com"><img src="http://themepix.com/pix/uploads/ad-468.png" style="border: 0;" alt="Advertise Here" /></a>',
						"type" 		=> "textarea"
				);
	*/			
															
$of_options[] = array( 	"name" 		=> "Buy it Now",
						"type" 		=> "heading",
							);							
				
$of_options[] = array( 	"name" 		=> "General Information",
						"type" 		=> "tab",
						"desc" 		=> "Our themes are free and you can use them without any problems in your personal or commercial projects. The free themes contain sponsored links in footer or content and you can't edit or remove them. Good option for testing which theme will work best for you. You can upgrade to the paid version later without losing your customizations."
				);	
				
$of_options[] = array( 	"name" 		=> "Paid Theme Features",
						"type" 		=> "tab",
						"desc" 		=> "Paid themes comes with <strong>NO sponsored links</strong> and you can <strong>access our support forum</strong> for help with your theme, also you allowed to use the theme to <strong>build sites for your clients</strong>."
				);	
				
$of_options[] = array( 	"name" 		=> "Buy " . THEMENAME . " Theme",
						"type" 		=> "tab",
						"desc" 		=> "<a href=\"http://themepix.com/buy/?theme=" . THEMENAME . "\">Buy " . THEMENAME . " Theme Now</a><br />

By clicking link above you will be redirected the ThemePix.com website.
After successful payment you will be able to download " . THEMENAME . " immediately from your account.

If you have question about theme purchase please <a href=\"http://themepix.com/contact\" target=\"blank/\">contact us</a>, we will respond within 24 hours."
				);	
				
$of_options[] = array( 	"name" 		=> "Support Forum",
						"type" 		=> "tab",
						"desc" 		=> "If you have any question about your theme, feel free to post question in our <a href=\"http://themepix.com/forum\" target=\"blank/\">Support Forum</a>. We will do our best to answers all your questions. Support forum is only for our paid members (paid members: members which purchased a theme form us)"
				);		
				
								
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
